%define name python-id3
%define oname PyID3
%define version 0.5.5
%define release %mkrel 8

Summary: Reading and writing id3v2 and id3v1 tags (http://id3.org/)
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{oname}-%{version}.tar.bz2
License: CNRI Python License
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Url: http://icepick.info/projects/pyid3/
BuildRequires: python-devel

%description
pyid3 is a pure python library for reading and writing id3 tags (version
1.0, 1.1, 2.3, 2.4, readonly support for 2.2). 

What makes this better than all the others?  Testing!  This library has been
tested against some 200+ MB of just tags.


%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_bindir/listid3v2.py
%py_puresitedir/*


%changelog
* Sat Nov 05 2011 Götz Waschk <waschk@mandriva.org> 0.5.5-8mdv2012.0
+ Revision: 718911
- rebuild

* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 0.5.5-7mdv2011.0
+ Revision: 592877
- rebuild for new python 2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.5.5-6mdv2011.0
+ Revision: 442183
- rebuild

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 0.5.5-5mdv2009.1
+ Revision: 320638
- rebuild for new python

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.5.5-4mdv2009.0
+ Revision: 259645
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.5.5-3mdv2009.0
+ Revision: 247444
- rebuild

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org> 0.5.5-1mdv2008.1
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 0.5.5-1mdv2008.0
+ Revision: 54540
- Import python-id3

